Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.signature.transformers
Class NippinOptionalDeflateTransformer

    java.lang.Object
      org.apache.xml.security.transforms.TransformSpi
          be.fgov.ehealth.technicalconnector.signature.transformers.NippinOptionalDeflateTransformer

    public class NippinOptionalDeflateTransformer

extends org.apache.xml.security.transforms.TransformSpi

Implements the `urn:nippin:xml:sig:transform:optional-deflate` decoding transform.

The normative specification for decoding transforms as specified by myCarenet

This transform requires an octet stream for input. If an XPath node-set (or sufficiently functional alternative) is given as input, then it is converted to an octet stream by performing operations logically equivalent to 1) applying an XPath transform with expression self::text(), then 2) taking the string-value of the node-set. Thus, if an XML element is identified by a barename XPointer in the Reference URI, and its content consists solely of base64 encoded character data, then this transform automatically strips away the start and end tags of the identified element and any of its descendant elements as well as any descendant comments and processing instructions. The output of this transform is an octet stream.

Field Summary
`static String` | `TRANSFORM_URI` Transform URI that is supported by the Transformer. urn:nippin:xml:sig:transform:optional-deflate

Constructor Summary
`NippinOptionalDeflateTransformer()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSFORM_URI

    public static final String TRANSFORM_URI

  Transform URI that is supported by the Transformer. urn:nippin:xml:sig:transform:optional-deflate

  See Also:
    Constant Field Values

Constructor Detail

### NippinOptionalDeflateTransformer

    public NippinOptionalDeflateTransformer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.